> ## Documentation Index
> Fetch the complete documentation index at: https://docs.getbrandkarma.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get apiv1contentbrands categories



## OpenAPI

````yaml https://app.getbrandkarma.com/api/openapi/v1.json get /api/v1/content/brands/{brandId}/categories
openapi: 3.1.1
info:
  title: BrandKarma Content Delivery API
  description: >-
    Retrieve and integrate AI-optimized content into your website or
    application. Authenticate with your API key (passed as Bearer token) to
    access published content, categories, and metadata for your brand.
  contact:
    name: BrandKarma Support
    url: https://getbrandkarma.com
    email: support@getbrandkarma.com
  version: v1
servers:
  - url: https://app.getbrandkarma.com/
security: []
tags:
  - name: Content Delivery
paths:
  /api/v1/content/brands/{brandId}/categories:
    get:
      tags:
        - Content Delivery
      parameters:
        - name: brandId
          in: path
          required: true
          schema:
            type: string
      responses:
        '200':
          description: OK
          content:
            text/plain:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/ContentCategoryReadDto'
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/ContentCategoryReadDto'
            text/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/ContentCategoryReadDto'
        '403':
          description: Forbidden
          content:
            text/plain:
              schema:
                $ref: '#/components/schemas/ProblemDetails'
            application/json:
              schema:
                $ref: '#/components/schemas/ProblemDetails'
            text/json:
              schema:
                $ref: '#/components/schemas/ProblemDetails'
components:
  schemas:
    ContentCategoryReadDto:
      required:
        - id
        - name
        - slug
        - description
        - translations
        - createdAt
        - updatedAt
      type: object
      properties:
        id:
          type: string
          description: Unique identifier for the category.
        name:
          type: string
          description: Display name of the category.
        slug:
          type:
            - 'null'
            - string
          description: URL-friendly slug for the category.
        description:
          type: string
          description: Description of the category's purpose or scope.
        translations:
          type:
            - 'null'
            - object
          additionalProperties:
            $ref: '#/components/schemas/CategoryTranslation'
          description: >-
            Localized name and description per language code (e.g., {"de":
            {"name": "Produktleitfäden", ...}}).
        createdAt:
          type: string
          description: Timestamp when the category was created.
          format: date-time
        updatedAt:
          type: string
          description: Timestamp of the most recent update.
          format: date-time
    ProblemDetails:
      type: object
      properties:
        type:
          type:
            - 'null'
            - string
        title:
          type:
            - 'null'
            - string
        status:
          pattern: ^-?(?:0|[1-9]\d*)$
          type:
            - 'null'
            - integer
            - string
          format: int32
        detail:
          type:
            - 'null'
            - string
        instance:
          type:
            - 'null'
            - string
    CategoryTranslation:
      type: object
      properties:
        name:
          type: string
        slug:
          type:
            - 'null'
            - string
        description:
          type: string

````